org.apache.ignite.internal.processors.cache.verify

## Class PartitionKeyV2

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.processors.cache.verify.PartitionKeyV2

All Implemented Interfaces:
  Externalizable, Serializable

    public class PartitionKeyV2
    extends VisorDataTransferObject

Partition key - pair of cache group ID and partition ID.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3, V4, V5`

### Constructor Summary

Constructors
Constructor and Description
`PartitionKeyV2()` Default constructor for Externalizable.
`PartitionKeyV2(int grpId, int partId, String grpName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`int` `groupId()`
`String` `groupName()`
`void` `groupName(String grpName)`
`int` `hashCode()`
`int` `partitionId()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PartitionKeyV2

    public PartitionKeyV2(int grpId,
                          int partId,
                          String grpName)

Parameters:
  `grpId` - Group id.
  `partId` - Partition id.
  `grpName` - Group name.

#### PartitionKeyV2

    public PartitionKeyV2()

Default constructor for Externalizable.

### Method Detail

#### groupId

    public int groupId()

Returns:
  Group id.

#### partitionId

    public int partitionId()

Returns:
  Partition id.

#### groupName

    public String groupName()

Returns:
  Group name.

#### groupName

    public void groupName(String grpName)

Parameters:
  `grpName` - Group name.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022